//CircularCheckBox Component
import 'package:flutter/material.dart';
import 'package:synth/src/color_page.dart';

class SynthCircularcheckbox extends StatelessWidget {
  SynthCircularcheckbox({
    Key? key,
    required this.width,
    required this.height,
    required this.onPressed,
  }) : super(key: key);
  final double width;
  final double height;
  final GestureTapCallback onPressed;

  final isPressed = ValueNotifier<bool>(false);

  void change() {
    if (isPressed.value) {
      isPressed.value = false;
    } else {
      isPressed.value = true;
    }
  }

  //isPressed.value = false;
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: width,
      height: height,
      child: GestureDetector(
        onTap: () => [onPressed, change()],
        child: ValueListenableBuilder(
          valueListenable: isPressed,
          builder: (context, value, widget) => AnimatedContainer(
              duration: const Duration(milliseconds: 300),
              curve: Curves.easeInOutCirc,
              decoration: BoxDecoration(
                color: isPressed.value == true
                    ? primarySynthCopper400
                    : primarySynthBlack,
                borderRadius: BorderRadius.circular(100),
                border: Border.all(color: primarySynthCopper400, width: 3),
              ),
              child: isPressed.value
                  ? const Center(
                      child: Icon(
                      Icons.done,
                    ))
                  : const Center()),
        ),
      ),
    );
  }
}
