//ElevatedView Component
import 'package:flutter/material.dart';

import 'color_page.dart';

class ElevatedView extends StatelessWidget {
  const ElevatedView({
    Key? key,
    required this.width,
    required this.height,
    required this.child,
  }) : super(key: key);
  final double width;
  final double height;
  final Widget child;
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: width,
      height: height,
      child: Center(
        child: Container(
          decoration: BoxDecoration(
            borderRadius: BorderRadius.circular(20),
            color: primarySynthBlack,
            border: Border.all(
                color: primarySynthBlack200.withOpacity(0.22), width: 3),
            boxShadow: [
              BoxShadow(
                color: primarySynthWhite.withOpacity(0.2),
                blurRadius: 10.0, // soften the shadow
                spreadRadius: 2, //extend the shadow
                offset: const Offset(
                  -4.0, // Move to right 10  horizontally
                  -7.0, // Move to bottom 10 Vertically
                ),
              ),
              BoxShadow(
                color: primaryBlack.withOpacity(0.4),
                blurRadius: 10.0, // soften the shadow
                spreadRadius: 2, //extend the shadow
                offset: const Offset(
                  10.0, // Move to right 10  horizontally
                  7.0, // Move to bottom 10 Vertically
                ),
              ),
            ],
          ),
          child: child,
        ),
      ),
    );
  }
}
