//ImgButton Component
import 'package:flutter/material.dart';
import 'package:synth/src/color_page.dart';

class NeuImgbutton extends StatelessWidget {
  NeuImgbutton({
    Key? key,
    required this.icon,
    required this.radius,
    required this.onPressed,
  }) : super(key: key);
  final Icon icon;
  final double radius;
  final GestureTapCallback onPressed;

  final isPressed = ValueNotifier<bool>(false);

  void change() {
    if (isPressed.value) {
      isPressed.value = false;
      Future.delayed(const Duration(milliseconds: 400), () {
        isPressed.value = true;
      });
    } else {
      isPressed.value = true;
      Future.delayed(const Duration(milliseconds: 400), () {
        isPressed.value = false;
      });
    }
  }

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: radius,
      height: radius,
      child: Center(
        child: GestureDetector(
          onTap: () => [onPressed, change()],
          child: ValueListenableBuilder(
            valueListenable: isPressed,
            builder: (context, value, widget) => AnimatedContainer(
              duration: const Duration(milliseconds: 200),
              decoration: BoxDecoration(
                boxShadow: [
                  BoxShadow(
                    color: primarySynthWhite.withOpacity(0.2),
                    blurRadius: 20.0, // soften the shadow
                    spreadRadius: 5, //extend the shadow
                    offset: const Offset(
                      -5.0, // Move to right 10  horizontally
                      -10.0, // Move to bottom 10 Vertically
                    ),
                  ),
                  BoxShadow(
                    color: primaryBlack.withOpacity(0.3),
                    blurRadius: 15.0, // soften the shadow
                    spreadRadius: 5, //extend the shadow
                    offset: const Offset(
                      7.0, // Move to right 10  horizontally
                      10.0, // Move to bottom 10 Vertically
                    ),
                  ),
                ],
                border: Border.all(
                    width: 3, color: primarySynthBlack.withOpacity(0.2)),
                gradient: isPressed.value
                    ? LinearGradient(
                        colors: [
                          primarySynthBlack200,
                          primaryBlack,
                        ],
                        begin: Alignment.bottomRight,
                        end: Alignment.topLeft,
                      )
                    : LinearGradient(
                        colors: [
                          primarySynthBlack.withOpacity(0.4),
                          primarySynthBlack200
                        ],
                        begin: Alignment.topRight,
                        end: Alignment.bottomLeft,
                      ),
                borderRadius: BorderRadius.circular(radius),
              ),
              child: Center(child: icon),
            ),
          ),
        ),
      ),
    );
  }
}
