//RoundedRectCheckBox Component
import 'package:flutter/material.dart';
import 'package:synth/src/color_page.dart';

class SynthRoundedRectcheckbox extends StatelessWidget {
  SynthRoundedRectcheckbox({
    Key? key,
    required this.width,
    required this.height,
    required this.onPressed,
  }) : super(key: key);
  final double width;
  final double height;
  final GestureTapCallback onPressed;

  final isPressed = ValueNotifier<bool>(false);

  void change() {
    if (isPressed.value) {
      isPressed.value = false;
    } else {
      isPressed.value = true;
    }
  }

  //isPressed.value = false;
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: width,
      height: height,
      child: GestureDetector(
        onTap: () => [onPressed, change()],
        child: ValueListenableBuilder(
          valueListenable: isPressed,
          builder: (context, value, widget) => AnimatedContainer(
              curve: Curves.easeInCubic,
              duration: const Duration(milliseconds: 400),
              decoration: BoxDecoration(
                  color: primarySynthBlack,
                  borderRadius: BorderRadius.circular(10),
                  border: Border.all(color: primarySynthWhite400, width: 3)),
              child: isPressed.value
                  ? Icon(
                      Icons.done,
                      color: primarySynthWhite100,
                    )
                  : const Center()),
        ),
      ),
    );
  }
}
